C     PROG4                                                             PR400100
C     C.L.LAWSON AND R.J.HANSON, JET PROPULSION LABORATORY, 1973 JUN 12 PR400200
C     TO APPEAR IN 'SOLVING LEAST SQUARES PROBLEMS', PRENTICE-HALL, 1974PR400300
C          DEMONSTRATE SINGULAR VALUE ANALYSIS.                         PR400400
C                                                                       PR400500
      DIMENSION A(15,5),B(15),SING(15)                                  PR400600
      CHARACTER*4 NAMES
      DATA NAMES/'    '/                                                PR400700
C                                                                       PR400800
C Set math to single precision format (non-IEEE)
      CALL MPBRQQ
      READ (5,10) ((A(I,J),J=1,5),B(I),I=1,15)                          PR400900
      WRITE (6,20)                                                      PR401000
      WRITE (6,30) ((A(I,J),J=1,5),B(I),I=1,15)                         PR401100
      WRITE (6,40)                                                      PR401200
C                                                                       PR401300
      CALL SVA (A,15,15,5,15,B,SING,NAMES,1,D)                          PR401400
C                                                                       PR401500
      STOP                                                              PR401600
   10 FORMAT (6F12.0)                                                   PR401700
   20 FORMAT (46H1PROG4.    DEMONSTRATE SINGULAR VALUE ANALYSIS/53H LISTPR401800
     1ING OF INPUT MATRIX, A, AND VECTOR, B, FOLLOWS..)                 PR401900
   30 FORMAT (1H /(5F12.8,F20.4))                                       PR402000
   40 FORMAT (1H1)                                                      PR402100
      END                                                               PR402200
